# API Capability Matrix

This document provides an overview of API capabilities available in <code class="expression">space.vars.OIM</code>. It outlines which operations (Get, Create, Update, Delete, List, Execute) are supported across Integration and Admin modules.

Use this matrix as a quick reference to understand API coverage.

***

## Legend

| Symbol | Meaning              |
| ------ | -------------------- |
| ✅      | Available in API     |
| ❌      | Not Available in API |
| —      | Not Applicable       |

***

## Integration

| Feature / Module     | Get | Create | Update | Delete | List | Execute | Notes                     |
| -------------------- | --- | ------ | ------ | ------ | ---- | ------- | ------------------------- |
| System               | ✅   | ✅      | ✅      | —      | ✅    | —       | —                         |
| System Type          | —   | —      | —      | —      | ✅    | —       | —                         |
| System Template      | ✅   | —      | —      | —      | —    | —       | —                         |
| Mapping              | ✅   | ✅      | ✅      | ✅      | ✅    | —       | —                         |
| Integration          | ✅   | ✅      | ✅      | ✅      | ✅    | ✅       | API to get sync log files |
| Workflow             | ✅   | ✅      | ✅      | ✅      | ✅    | —       | —                         |
| Folder               | ✅   | ✅      | ✅      | ✅      | ✅    | —       | —                         |
| Excel Upload         | ✅   | ✅      | ✅      | ✅      | ✅    | —       | —                         |
| Reconcile            | ✅   | —      | —      | —      | —    | ✅       | —                         |
| Processing Failure   | ✅   | —      | ✅      | ✅      | ✅    | ✅       | —                         |
| Global Failure       | ✅   | —      | —      | ✅      | ✅    | —       | —                         |
| Failure Notification | ✅   | ✅      | ✅      | ✅      | —    | —       | —                         |
| Sync Report          | —   | —      | —      | —      | ❌    | —       | —                         |
| Audits               | —   | —      | —      | —      | ❌    | —       | —                         |

***

## Admin

| Feature / Module        | Get | Create | Update | Delete | List | Execute | Notes               |
| ----------------------- | --- | ------ | ------ | ------ | ---- | ------- | ------------------- |
| System Information      | ❌   | —      | —      | —      | —    | —       | —                   |
| User                    | ❌   | ❌      | ❌      | —      | ✅    | —       | —                   |
| User-Role               | ✅   | —      | ✅      | —      | —    | —       | —                   |
| Role                    | ✅   | ✅      | ✅      | ✅      | ✅    | —       | —                   |
| SDK                     | ✅   | ✅      | ✅      | —      | ✅    | —       | —                   |
| Scheduler               | ✅   | ✅      | ✅      | ✅      | ✅    | —       | —                   |
| Log Setting             | ✅   | —      | ✅      | —      | —    | —       | —                   |
| Usage Report            | ✅   | —      | —      | —      | —    | —       | —                   |
| Trends Dashboard        | ✅   | —      | —      | —      | —    | —       | —                   |
| Login Server Management | ❌   | ❌      | ❌      | ❌      | ❌    | ❌       | —                   |
| License                 | —   | —      | —      | —      | —    | —       | Not there by design |
| Purge                   | —   | —      | —      | —      | —    | —       | Not there by design |
| Rules                   | —   | —      | —      | —      | —    | —       | Not there by design |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.opshub.com/om4ado/manage/api/api_capability_matrix.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
